Bug 37580 - Assign layout malfunction and crash on slide with formula
Summary: Assign layout malfunction and crash on slide with formula
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: All All
: medium critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-25 05:49 UTC by bellgardt
Modified: 2013-03-05 20:10 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample file for assign layout bug (24.09 KB, application/vnd.oasis.opendocument.presentation)
2011-05-25 05:49 UTC, bellgardt
Details
Bug 37580 - WinDbg session with FAILED_SOURCE_CODE (47.29 KB, text/plain)
2012-06-06 04:06 UTC, bfoman (inactive)
Details
backtrace log (20.50 KB, text/plain)
2013-02-15 15:09 UTC, Jorendc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bellgardt 2011-05-25 05:49:28 UTC
Created attachment 47141 [details]
Sample file for assign layout bug

When the layout "Title, Content" is assigned to slide containing a Math formula several strange things happen in LibreOffice 3.4.0 OOO340m1 (Build:11) (System: Windows Vista Home Premium SP2). I included a sample file, but it can be also reproduced with a new presentation.

Procedure: 

Open the file, select nothing, in the task pane select the layout "Title, Content". This enlarges the lower formula to almost slide size and centers it in the screen -> Bug 1. Delete the big formula: Now the bulleted list appears that should have come at once (see remark).

Delete the big formula and press undo twice: The lower formula is restored, but the upper formula disappeared -> Bug 2.

Select the upper rectangle and press arrow up -> LO crashes, Bug 3

I didn't file three separate bugs because they may come form the same origin.

Remark/question to bug 1: Is it a feature of the assign layout function to do something with an existing object? If so, it shouldn't do so when nothing is selected. So I think the reported behavior is a bug.
Comment 1 bellgardt 2011-05-25 05:52:26 UTC
Hey, a link to some other issues was added to my words "bug" during submission. That was not my intention, please ignore!
Comment 2 Rainer Bielefeld Retired 2011-06-10 02:58:29 UTC
RC2 is bit by bit identical with release version, so separate items in the version picker are useless. Changes have been discussed with Michael Meeks.
Comment 3 Björn Michaelsen 2011-12-23 12:03:59 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 4 bellgardt 2012-03-14 09:52:29 UTC
This bug still exists in LO 3.5.1.2
Comment 5 bfoman (inactive) 2012-06-06 04:06:29 UTC
Created attachment 62661 [details]
Bug 37580 - WinDbg session with FAILED_SOURCE_CODE

Confirmed with:
LO 3.5.4.2 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Crash after pressing arrow up. Behavior as in comment 0.
Attached full WinDbg session with FAILED_SOURCE_CODE.
Comment 6 Joel Madero 2012-09-19 23:39:09 UTC
It looks like all three bugs are fixed, can I close this?
Comment 7 Julien Nabet 2012-09-26 19:28:57 UTC
On pc Debian x86-64 with 3.6 branch updated today, I reproduced the first behaviour (bullet list which appears only after having deleting the big formula).
I didn't reproduce the 2 other bugs.
Comment 8 Jorendc 2013-02-15 15:05:31 UTC
I can confirm all behavior (all three bugs) using Linux Mint 14 x64 LibreOffice Version 4.1.0.0.alpha0+ (Build ID: a12286cf81b2483e1585b2c45c40fa507fdd313).

Because this isn't a windows only bug (anymore?) I mark this bug as 'platform all'.
Comment 9 Jorendc 2013-02-15 15:09:00 UTC
Created attachment 74874 [details]
backtrace log

add backtrace log
Comment 10 Thorsten Behrens (CIB) 2013-02-22 06:46:39 UTC
(In reply to comment #8)
> I can confirm all behavior (all three bugs) using Linux Mint 14 x64
> LibreOffice Version 4.1.0.0.alpha0+ (Build ID:
> a12286cf81b2483e1585b2c45c40fa507fdd313).
> 
That is odd. I have a build from just one day later (master, linux x64), and I see none of the crashes.

The behaviour when assigning new layouts is by design (usually you want the layout to change when you assign a new one) - the bug is that the aspect ratio of those ole shapes gets messed up.

Joren, any chance to double-check? Maybe I miss a step.
Comment 11 Jorendc 2013-02-22 20:38:47 UTC
@Thorsten: Indeed ... very odd.

Retested again using build of today (Version 4.1.0.0.alpha0+ (Build ID: 99501a839f6d777c24bc9210787fd14dc3aad67))... can't reproduce a crash anymore. Only the first item remains: by setting that layout, it results in a big formula.

Mmh ... how did I reproduce that many times, with even a backtrace? Okay, never mind... I think that's resolved now :-).
Comment 12 Joel Madero 2013-03-05 20:10:18 UTC
Marking as FIXED as it was confirmed but now seems to be solved